{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>MANTAP</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
{% endblock meta %}

{% block content %}
<h1 class="display-4 text-center mt-3 mb-3">Kegiatan Kita Semua</h1>


<div class="mb-4">
  <div class="card">
    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#tambahkegiatan">
      Tambah Kegiatan
    </button>
  </div>
</div>


<!-- Modal -->
<div class="modal fade" id="tambahkegiatan" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="staticBackdropLabel">Tambah Kegiatan</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>

      <form method="POST"  action="/tambahkegiatan/">
        <div class="modal-body">
          
            {% csrf_token %}
    
            {{ form1.as_p }}
    
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Batal</button>
          <button type="submit" class="btn btn-primary">Tambah</button>
        </div>
      </form>

    </div>
  </div>
</div>

<div class="row row-cols-1 row-cols-md-3">
  
  {% for keg in kegiatan %}
  <div class="col mb-4">
    <div class="card">
      <h5 class="card-header">{{ keg.nama }}</h5>
      <div class="card-body">
        <h5 class="card-title">Peserta:</h5>
        <table class="table">
          <tbody>
            {% for pes in peserta %}
            {% if pes.kegiatan == keg %}
            <tr>
              <td>
                {{ pes.nama }}
              </td>
            </tr>
            {% endif %}
            {% endfor %}
          </tbody>
        </table>
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#tambahpeserta{{ keg.id }}">
          Tambah Peserta
        </button>
        
        <!-- Modal -->
        <div class="modal fade" id="tambahpeserta{{ keg.id }}" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="staticBackdropLabel">Tambah Peserta</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>

              <form method="POST"  action="/tambahpeserta/">
                <div class="modal-body">

                  {% csrf_token %}
                  
                  <input type="hidden" name="kegiatan" value="{{ keg.id }}">

                  {{ form2.as_p }}
            
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Batal</button>
                  <button type="submit" class="btn btn-primary">Tambah</button>
                </div>
              </form>

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  {% endfor %}

</div>


{% endblock content %}
